[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#475739: live-helper: package not installed if dependency satisfied only by local package

Package: live-helper
Version: 1.0~a43-1
Severity: normal

I have nvidia-glx in my package lists, but it depends on 
nvidia-kernel-whatever, which for sid and lenny doesn't exist in the 
repos. So I built it with 'm-a build nvidia' and copied the deb in 
config/chroot_local_packages. But nvidia-glx is still not installed, 
because the local packages are installed last. 

I can work around it in various ways, but I think this should be fixed.


-- Package-specific info:

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (500, 'stable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.24-1-686 (SMP w/1 CPU core)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages live-helper depends on:
ii  debootstrap                   1.0.8      Bootstrap a basic Debian system

live-helper recommends no packages.

-- no debconf information

Reply to: